libosmo-sigtran: osmo_ss7_as Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
osmo_ss7_as Struct Reference

`#include <ss7_as.h>`

## Data Fields
struct llist_head | list
| entry in 'ref osmo_ss7_instance.as_list More...
struct osmo_ss7_instance * | inst
struct osmo_fsm_inst * | fi
| AS FSM. More...
bool | rkm_dyn_allocated
| Were we dynamically allocated by RKM? More...
bool | simple_client_allocated
| Were we allocated by "simple client" support? More...
struct rate_ctr_group * | ctrg
| Rate Counter Group. More...
struct osmo_ss7_as_esls_entry | aesls_table [NUM_AS_EXT_SLS]
struct ss7_as_asp_assoc * | last_asp_idx_assigned
struct ss7_as_asp_assoc * | last_asp_idx_sent
struct llist_head | assoc_asp_list
unsigned int | num_assoc_asps
struct {
char * name
char * description
enum osmo_ss7_asp_protocol proto
struct osmo_ss7_routing_key routing_key
enum osmo_ss7_as_traffic_mode mode
bool mode_set_by_vty
bool mode_set_by_peer
uint32_t recovery_timeout_msec
uint8_t qos_class
struct {
bool opc_enabled
bool dpc_enabled
uint32_t opc
uint32_t dpc
enum osmo_ss7_as_patch_sccp_mode sccp_mode
} pc_override
struct {
uint8_t sls_shift
bool opc_sls
uint8_t opc_shift
} loadshare
} | cfg

## Field Documentation

## ◆ aesls_table

struct osmo_ss7_as_esls_entry osmo_ss7_as::aesls_table[NUM_AS_EXT_SLS]

Referenced by DEFUN(), ss7_as_del_asp(), ss7_as_loadshare_binding_table_reset(), and ss7_as_select_asp_loadshare().

## ◆ assoc_asp_list

struct llist_head osmo_ss7_as::assoc_asp_list

Referenced by _ipa_asp_pick_unused_sls(), as_notify_all_asp(), check_any_other_asp_in_active(), check_any_other_asp_not_down(), notify_any_other_active_asp_as_inactive(), osmo_ss7_as_destroy(), osmo_ss7_asp_find_by_proto(), osmo_ss7_route_name(), ss7_as_alloc(), ss7_as_asp_assoc_alloc(), ss7_as_asp_assoc_find(), ss7_as_del_asp(), ss7_as_find_asp_by_remote_asp_id(), ss7_as_get_local_role(), ss7_as_select_asp_broadcast(), ss7_vty_write_one_as(), t10_audit_timer_cb(), and xua_as_transmit_msg_broadcast().

## ◆

struct { ... } osmo_ss7_as::cfg

Referenced by _rout_key(), _ss7_asp_get_all_rctx(), as_list_for_asp(), as_notify_all_asp(), as_tx_duna_during_asp_act(), DEFUN_ATTR(), DEFUN_USRATTR(), find_asp_no_tcap_range(), gen_mtp_transfer_req_xua(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_allstate(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), ipa_rx_msg_osmo_ext_tcap_routing(), ipa_rx_msg_up(), ipa_tx_xua_as(), m3ua_tx_xua_as(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), osmo_ss7_as_get_asp_protocol(), osmo_ss7_as_select_asp(), osmo_ss7_as_tmode_compatible_xua(), osmo_ss7_instance_calc_itu_as_ext_sls(), osmo_ss7_route_name(), reg_req_all_assoc_as(), show_as(), show_one_as(), ss7_as_alloc(), ss7_as_select_asp(), ss7_asp_determine_traf_mode(), ss7_asp_find_as_by_rctx(), ss7_combined_linkset_lookup_route(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), sua_tx_xua_as(), t10_audit_timer_cb(), tcap_as_del_asp(), tcap_disable(), tcap_enable(), tcap_trans_track_garbage_collect(), tcap_trans_track_garbage_collect_cb(), xua_as_encode_msg(), xua_as_fsm_active(), xua_as_fsm_onenter(), xua_as_fsm_start(), xua_as_transmit_msg(), xua_asp_fsm_inactive(), and xua_snm_srm_pc_available_single().

## ◆ ctrg

struct rate_ctr_group* osmo_ss7_as::ctrg

Rate Counter Group.

Referenced by asp_loadshare_tcap_sccp(), ipa_rx_msg_up(), m3ua_rx_xfer(), mtp3_hmrt_message_for_routing(), osmo_ss7_as_destroy(), ss7_as_alloc(), sua_rx_cl(), and sua_rx_co().

## ◆ description

char* osmo_ss7_as::description

Referenced by DEFUN_ATTR(), handle_rkey_reg(), and ss7_vty_write_one_as().

## ◆ dpc

uint32_t osmo_ss7_as::dpc

Referenced by DEFUN_ATTR(), ipa_rx_msg_up(), and ss7_vty_write_one_as().

## ◆ dpc_enabled

bool osmo_ss7_as::dpc_enabled

Referenced by DEFUN_ATTR(), ss7_vty_node_as_go_parent(), and ss7_vty_write_one_as().

## ◆ fi

struct osmo_fsm_inst* osmo_ss7_as::fi

AS FSM.

Referenced by as_notify_all_asp(), dispatch_to_all_as(), handle_reg_conf(), ipa_asp_allstate(), ipa_asp_fsm_start(), m3ua_rx_rkm_reg_req(), m3ua_rx_xfer(), m3ua_tx_xua_as(), osmo_ss7_as_active(), osmo_ss7_as_destroy(), osmo_ss7_as_down(), osmo_ss7_as_select_asp(), show_one_as(), ss7_as_alloc(), ss7_as_select_asp(), sua_tx_xua_as(), and xua_as_transmit_msg().

## ◆ inst

struct osmo_ss7_instance* osmo_ss7_as::inst

Referenced by _rout_key(), as_snm_pc_available(), as_snm_pc_unavailable(), as_tx_duna_during_asp_act(), DEFUN(), DEFUN_ATTR(), gen_mtp_transfer_req_xua(), handle_rkey_reg(), ipa_rx_msg_up(), mtp3_hmrt_message_for_routing(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_as_destroy(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_as_find_or_create(), scrc_node_12(), send_back_udts(), show_as(), show_one_as(), show_one_tcap_range(), ss7_as_alloc(), ss7_as_asp_assoc_alloc(), ss7_as_select_asp_loadshare(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), sua_rx_cl(), sua_rx_co(), sua_snm_ssn_available(), tcap_trans_track_entry_create(), xua_as_fsm_onenter(), xua_snm_pc_available(), xua_snm_scon(), xua_snm_srm_pc_available_single(), and xua_snm_upu().

## ◆ last_asp_idx_assigned

struct ss7_as_asp_assoc* osmo_ss7_as::last_asp_idx_assigned

Referenced by ss7_as_assign_asp_roundrobin(), ss7_as_del_asp(), and ss7_as_loadshare_binding_table_reset().

## ◆ last_asp_idx_sent

struct ss7_as_asp_assoc* osmo_ss7_as::last_asp_idx_sent

Referenced by find_asp_no_tcap_range(), ss7_as_del_asp(), ss7_as_select_asp_override(), ss7_as_select_asp_roundrobin(), tcap_as_del_asp(), and tcap_disable().

## ◆ list

struct llist_head osmo_ss7_as::list

entry in 'ref osmo_ss7_instance.as_list

Referenced by as_tx_duna_during_asp_act(), osmo_ss7_as_destroy(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), show_as(), and ss7_as_alloc().

## ◆

struct { ... } osmo_ss7_as::loadshare

Referenced by DEFUN_ATTR(), DEFUN_USRATTR(), find_asp_no_tcap_range(), ipa_rx_msg_osmo_ext_tcap_routing(), ipa_rx_msg_up(), osmo_ss7_instance_calc_itu_as_ext_sls(), ss7_as_alloc(), ss7_as_select_asp(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), tcap_as_del_asp(), tcap_disable(), tcap_enable(), tcap_trans_track_garbage_collect(), and tcap_trans_track_garbage_collect_cb().

## ◆ mode

enum osmo_ss7_as_traffic_mode osmo_ss7_as::mode

Referenced by DEFUN_USRATTR(), handle_rkey_reg(), ipa_rx_msg_osmo_ext_tcap_routing(), osmo_ss7_as_select_asp(), osmo_ss7_as_tmode_compatible_xua(), reg_req_all_assoc_as(), show_one_as(), ss7_as_alloc(), ss7_as_select_asp(), ss7_asp_determine_traf_mode(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), xua_as_fsm_active(), xua_as_fsm_onenter(), xua_as_transmit_msg(), and xua_asp_fsm_inactive().

## ◆ mode_set_by_peer

bool osmo_ss7_as::mode_set_by_peer

Referenced by handle_rkey_reg(), osmo_ss7_as_tmode_compatible_xua(), xua_as_fsm_onenter(), and xua_asp_fsm_inactive().

## ◆ mode_set_by_vty

bool osmo_ss7_as::mode_set_by_vty

Referenced by DEFUN_USRATTR(), handle_rkey_reg(), osmo_ss7_as_tmode_compatible_xua(), ss7_asp_determine_traf_mode(), ss7_vty_write_one_as(), xua_as_fsm_onenter(), and xua_asp_fsm_inactive().

## ◆ name

char* osmo_ss7_as::name

Referenced by as_list_for_asp(), DEFUN_ATTR(), handle_rkey_reg(), ipa_asp_allstate(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), ipa_rx_msg_osmo_ext_tcap_routing(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_or_create(), osmo_ss7_route_name(), show_one_as(), ss7_as_alloc(), ss7_combined_linkset_lookup_route(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), xua_as_fsm_start(), and xua_snm_srm_pc_available_single().

## ◆ num_assoc_asps

unsigned int osmo_ss7_as::num_assoc_asps

Referenced by find_asp_no_tcap_range(), ss7_as_asp_assoc_alloc(), ss7_as_asp_assoc_find(), ss7_as_asp_assoc_free(), ss7_as_assign_asp_roundrobin(), ss7_as_select_asp_override(), and ss7_as_select_asp_roundrobin().

## ◆ opc

uint32_t osmo_ss7_as::opc

Referenced by DEFUN_ATTR(), ipa_rx_msg_up(), and ss7_vty_write_one_as().

## ◆ opc_enabled

bool osmo_ss7_as::opc_enabled

Referenced by DEFUN_ATTR(), ipa_rx_msg_up(), ss7_vty_node_as_go_parent(), and ss7_vty_write_one_as().

## ◆ opc_shift

uint8_t osmo_ss7_as::opc_shift

Referenced by DEFUN_USRATTR(), osmo_ss7_instance_calc_itu_as_ext_sls(), and ss7_vty_write_one_as().

## ◆ opc_sls

bool osmo_ss7_as::opc_sls

Referenced by DEFUN_USRATTR(), osmo_ss7_instance_calc_itu_as_ext_sls(), and ss7_vty_write_one_as().

## ◆

struct { ... } osmo_ss7_as::pc_override

Referenced by DEFUN_ATTR(), ipa_rx_msg_up(), ss7_vty_node_as_go_parent(), and ss7_vty_write_one_as().

## ◆ proto

enum osmo_ss7_asp_protocol osmo_ss7_as::proto

Referenced by _rout_key(), as_notify_all_asp(), DEFUN_ATTR(), gen_mtp_transfer_req_xua(), ipa_tx_xua_as(), m3ua_tx_xua_as(), mtp3_hmdt_rx_msg_for_local_unavailable_part(), mtp3_hmrt_message_for_routing(), mtp3_rtpc_rx_msg_for_inaccessible_sp(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_or_create(), osmo_ss7_as_get_asp_protocol(), osmo_ss7_route_name(), show_as(), ss7_as_alloc(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), sua_tx_xua_as(), and xua_as_encode_msg().

## ◆ qos_class

uint8_t osmo_ss7_as::qos_class

Referenced by DEFUN_ATTR(), and ss7_vty_write_one_as().

## ◆ recovery_timeout_msec

uint32_t osmo_ss7_as::recovery_timeout_msec

Referenced by DEFUN_ATTR(), ss7_as_alloc(), ss7_vty_write_one_as(), and xua_as_fsm_active().

## ◆ rkm_dyn_allocated

bool osmo_ss7_as::rkm_dyn_allocated

Were we dynamically allocated by RKM?

Referenced by common_asp_fsm_down_onenter(), DEFUN_ATTR(), handle_rkey_dereg(), handle_rkey_reg(), ss7_as_del_asp(), and ss7_vty_write_one_as().

## ◆ routing_key

struct osmo_ss7_routing_key osmo_ss7_as::routing_key

Referenced by _rout_key(), _ss7_asp_get_all_rctx(), as_tx_duna_during_asp_act(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), ipa_rx_msg_up(), m3ua_tx_xua_as(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_rctx(), reg_req_all_assoc_as(), show_one_as(), ss7_as_alloc(), ss7_asp_find_as_by_rctx(), ss7_vty_node_as_go_parent(), ss7_vty_write_one_as(), sua_tx_xua_as(), t10_audit_timer_cb(), and xua_as_fsm_onenter().

## ◆ sccp_mode

enum osmo_ss7_as_patch_sccp_mode osmo_ss7_as::sccp_mode

Referenced by DEFUN_ATTR(), ipa_rx_msg_up(), and ss7_vty_write_one_as().

## ◆ simple_client_allocated

bool osmo_ss7_as::simple_client_allocated

Were we allocated by "simple client" support?

Referenced by osmo_sccp_simple_client_on_ss7_id(), and ss7_vty_write_one_as().

## ◆ sls_shift

uint8_t osmo_ss7_as::sls_shift

Referenced by DEFUN_ATTR(), DEFUN_USRATTR(), osmo_ss7_instance_calc_itu_as_ext_sls(), and ss7_vty_write_one_as().

The documentation for this struct was generated from the following file:

- src/ss7_as.h